<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>TableStyleType (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TableStyleType (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":9,"i5":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TableStyleType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/TableStyleInfo.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/VerticalAlignment.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/TableStyleType.html" target="_top">Frames</a>
        </li>
        <li><a href="TableStyleType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Enum TableStyleType" class="title">Enum TableStyleType</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Enum&lt;<a href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                         title="enum in org.apache.poi.ss.usermodel">TableStyleType</a>&gt;
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.ss.usermodel.TableStyleType</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable, java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                            title="enum in org.apache.poi.ss.usermodel">TableStyleType</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public enum <span class="typeNameLabel">TableStyleType</span>
extends java.lang.Enum&lt;<a href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                             title="enum in org.apache.poi.ss.usermodel">TableStyleType</a>&gt;</pre>
                <div class="block">Ordered list of table style elements, for both data tables and pivot tables.
                    Some elements only apply to pivot tables, but any style definition can omit any number,
                    so having them in one list should not be a problem.
                    <p>
                        The order is the specification order of application, with later elements overriding previous
                        ones, if style properties conflict.
                    <p>
                        Processing could iterate bottom-up if looking for specific properties, and stop when the
                        first style is found defining a value for that property.
                    <p>
                        Enum names match the OOXML spec values exactly, so <a
                            href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#valueOf-java.lang.String-"><code>valueOf(String)</code></a>
                        will work.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Since:</span></dt>
                    <dd>3.17 beta 1</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== ENUM CONSTANT SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.summary">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Enum Constant Summary table, listing enum constants, and an explanation">
                            <caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Enum Constant and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#blankRow">blankRow</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#firstColumn">firstColumn</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#firstColumnStripe">firstColumnStripe</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#firstColumnSubheading">firstColumnSubheading</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#firstHeaderCell">firstHeaderCell</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#firstRowStripe">firstRowStripe</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#firstRowSubheading">firstRowSubheading</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#firstSubtotalColumn">firstSubtotalColumn</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#firstSubtotalRow">firstSubtotalRow</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#firstTotalCell">firstTotalCell</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#headerRow">headerRow</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#lastColumn">lastColumn</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#lastHeaderCell">lastHeaderCell</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#lastTotalCell">lastTotalCell</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#pageFieldLabels">pageFieldLabels</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#pageFieldValues">pageFieldValues</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#secondColumnStripe">secondColumnStripe</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#secondColumnSubheading">secondColumnSubheading</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#secondRowStripe">secondRowStripe</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#secondRowSubheading">secondRowSubheading</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#secondSubtotalColumn">secondSubtotalColumn</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#secondSubtotalRow">secondSubtotalRow</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#thirdColumnSubheading">thirdColumnSubheading</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#thirdRowSubheading">thirdRowSubheading</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#thirdSubtotalColumn">thirdSubtotalColumn</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#thirdSubtotalRow">thirdSubtotalRow</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#totalRow">totalRow</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#wholeTable">wholeTable</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#appliesTo-org.apache.poi.ss.usermodel.Table-org.apache.poi.ss.usermodel.Cell-">appliesTo</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Table.html"
                                        title="interface in org.apache.poi.ss.usermodel">Table</a>&nbsp;table,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                       title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                    <div class="block">A range is returned only for the part of the table matching this
                                        enum instance and containing the given cell.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#appliesTo-org.apache.poi.ss.usermodel.Table-org.apache.poi.ss.util.CellReference-">appliesTo</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Table.html"
                                        title="interface in org.apache.poi.ss.usermodel">Table</a>&nbsp;table,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                       title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;cell)</code>
                                    <div class="block">A range is returned only for the part of the table matching this
                                        enum instance and containing the given cell reference.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#getRange-org.apache.poi.ss.usermodel.Table-org.apache.poi.ss.usermodel.Cell-">getRange</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Table.html"
                                        title="interface in org.apache.poi.ss.usermodel">Table</a>&nbsp;table,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                       title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                    <div class="block">Calls <a
                                            href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#getRange-org.apache.poi.ss.usermodel.Table-org.apache.poi.ss.util.CellReference-"><code>getRange(Table,
                                        CellReference)</code></a>.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#getRange-org.apache.poi.ss.usermodel.Table-org.apache.poi.ss.util.CellReference-">getRange</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Table.html"
                                        title="interface in org.apache.poi.ss.usermodel">Table</a>&nbsp;table,
                                    <a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                       title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;cell)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Returns the enum constant of this type with the specified name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#values--">values</a></span>()</code>
                                    <div class="block">Returns an array containing the constants of this enum type, in
                                        the order they are declared.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
                                <code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal,
                                    toString, valueOf</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ ENUM CONSTANT DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.detail">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Detail</h3>
                        <a name="wholeTable">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>wholeTable</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> wholeTable</pre>
                            </li>
                        </ul>
                        <a name="pageFieldLabels">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>pageFieldLabels</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> pageFieldLabels</pre>
                            </li>
                        </ul>
                        <a name="pageFieldValues">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>pageFieldValues</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> pageFieldValues</pre>
                            </li>
                        </ul>
                        <a name="firstColumnStripe">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>firstColumnStripe</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> firstColumnStripe</pre>
                            </li>
                        </ul>
                        <a name="secondColumnStripe">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>secondColumnStripe</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> secondColumnStripe</pre>
                            </li>
                        </ul>
                        <a name="firstRowStripe">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>firstRowStripe</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> firstRowStripe</pre>
                            </li>
                        </ul>
                        <a name="secondRowStripe">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>secondRowStripe</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> secondRowStripe</pre>
                            </li>
                        </ul>
                        <a name="lastColumn">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>lastColumn</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> lastColumn</pre>
                            </li>
                        </ul>
                        <a name="firstColumn">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>firstColumn</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> firstColumn</pre>
                            </li>
                        </ul>
                        <a name="headerRow">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>headerRow</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> headerRow</pre>
                            </li>
                        </ul>
                        <a name="totalRow">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>totalRow</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> totalRow</pre>
                            </li>
                        </ul>
                        <a name="firstHeaderCell">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>firstHeaderCell</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> firstHeaderCell</pre>
                            </li>
                        </ul>
                        <a name="lastHeaderCell">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>lastHeaderCell</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> lastHeaderCell</pre>
                            </li>
                        </ul>
                        <a name="firstTotalCell">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>firstTotalCell</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> firstTotalCell</pre>
                            </li>
                        </ul>
                        <a name="lastTotalCell">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>lastTotalCell</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> lastTotalCell</pre>
                            </li>
                        </ul>
                        <a name="firstSubtotalColumn">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>firstSubtotalColumn</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> firstSubtotalColumn</pre>
                            </li>
                        </ul>
                        <a name="secondSubtotalColumn">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>secondSubtotalColumn</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> secondSubtotalColumn</pre>
                            </li>
                        </ul>
                        <a name="thirdSubtotalColumn">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>thirdSubtotalColumn</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> thirdSubtotalColumn</pre>
                            </li>
                        </ul>
                        <a name="blankRow">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>blankRow</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> blankRow</pre>
                            </li>
                        </ul>
                        <a name="firstSubtotalRow">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>firstSubtotalRow</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> firstSubtotalRow</pre>
                            </li>
                        </ul>
                        <a name="secondSubtotalRow">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>secondSubtotalRow</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> secondSubtotalRow</pre>
                            </li>
                        </ul>
                        <a name="thirdSubtotalRow">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>thirdSubtotalRow</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> thirdSubtotalRow</pre>
                            </li>
                        </ul>
                        <a name="firstColumnSubheading">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>firstColumnSubheading</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> firstColumnSubheading</pre>
                            </li>
                        </ul>
                        <a name="secondColumnSubheading">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>secondColumnSubheading</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> secondColumnSubheading</pre>
                            </li>
                        </ul>
                        <a name="thirdColumnSubheading">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>thirdColumnSubheading</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> thirdColumnSubheading</pre>
                            </li>
                        </ul>
                        <a name="firstRowSubheading">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>firstRowSubheading</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> firstRowSubheading</pre>
                            </li>
                        </ul>
                        <a name="secondRowSubheading">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>secondRowSubheading</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> secondRowSubheading</pre>
                            </li>
                        </ul>
                        <a name="thirdRowSubheading">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>thirdRowSubheading</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a> thirdRowSubheading</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="values--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>values</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a>[]&nbsp;values()</pre>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared. This method may be used to iterate
                                    over the constants as follows:
                                    <pre>
for (TableStyleType c : TableStyleType.values())
&nbsp;   System.out.println(c);
</pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing the constants of this enum type, in the order they are
                                        declared
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                        title="enum in org.apache.poi.ss.usermodel">TableStyleType</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
                                <div class="block">Returns the enum constant of this type with the specified name.
                                    The string must match <i>exactly</i> an identifier used to declare an
                                    enum constant in this type. (Extraneous whitespace characters are
                                    not permitted.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the enum constant to be returned.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the enum constant with the specified name</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no
                                        constant with the specified name
                                    </dd>
                                    <dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="appliesTo-org.apache.poi.ss.usermodel.Table-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>appliesTo</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;appliesTo(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Table.html"
                                        title="interface in org.apache.poi.ss.usermodel">Table</a>&nbsp;table,
                                      <a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                         title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                                <div class="block">A range is returned only for the part of the table matching this enum
                                    instance and containing the given cell.
                                    Null is returned for all other cases, such as:
                                    <ul>
                                        <li>Cell on a different sheet than the table
                                        <li>Cell outside the table
                                        <li>this Enum part is not included in the table (i.e. no header/totals row)
                                        <li>this Enum is for a table part not yet implemented in POI, such as pivot
                                            table elements
                                    </ul>
                                    The returned range can be used to determine how style options may or may not apply
                                    to this cell.
                                    For example, <a
                                            href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#wholeTable"><code>wholeTable</code></a>
                                    borders only apply to the outer boundary of a table, while the
                                    rest of the styling, such as font and color, could apply to all the interior cells
                                    as well.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>table</code> - table to evaluate</dd>
                                    <dd><code>cell</code> - to evaluate</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>range in the table representing this class of cells, if it contains the given
                                        cell, or null if not applicable.
                                        Stripe style types return only the stripe range containing the given cell, or
                                        null.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="appliesTo-org.apache.poi.ss.usermodel.Table-org.apache.poi.ss.util.CellReference-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>appliesTo</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;appliesTo(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Table.html"
                                        title="interface in org.apache.poi.ss.usermodel">Table</a>&nbsp;table,
                                      <a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                         title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;cell)</pre>
                                <div class="block">A range is returned only for the part of the table matching this enum
                                    instance and containing the given cell reference.
                                    Null is returned for all other cases, such as:
                                    <ul>
                                        <li>Cell on a different sheet than the table
                                        <li>Cell outside the table
                                        <li>this Enum part is not included in the table (i.e. no header/totals row)
                                        <li>this Enum is for a table part not yet implemented in POI, such as pivot
                                            table elements
                                    </ul>
                                    The returned range can be used to determine how style options may or may not apply
                                    to this cell.
                                    For example, <a
                                            href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#wholeTable"><code>wholeTable</code></a>
                                    borders only apply to the outer boundary of a table, while the
                                    rest of the styling, such as font and color, could apply to all the interior cells
                                    as well.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>table</code> - table to evaluate</dd>
                                    <dd><code>cell</code> - CellReference to evaluate</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>range in the table representing this class of cells, if it contains the given
                                        cell, or null if not applicable.
                                        Stripe style types return only the stripe range containing the given cell, or
                                        null.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRange-org.apache.poi.ss.usermodel.Table-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRange</h4>
                                <pre>public final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;getRange(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Table.html"
                                        title="interface in org.apache.poi.ss.usermodel">Table</a>&nbsp;table,
                                           <a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                              title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                                <div class="block">Calls <a
                                        href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#getRange-org.apache.poi.ss.usermodel.Table-org.apache.poi.ss.util.CellReference-"><code>getRange(Table,
                                    CellReference)</code></a>. Use that instead for performance.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>table</code> -</dd>
                                    <dd><code>cell</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>default is unimplemented/null</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#getRange-org.apache.poi.ss.usermodel.Table-org.apache.poi.ss.util.CellReference-"><code>getRange(Table,
                                            CellReference)</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRange-org.apache.poi.ss.usermodel.Table-org.apache.poi.ss.util.CellReference-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getRange</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;getRange(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Table.html"
                                        title="interface in org.apache.poi.ss.usermodel">Table</a>&nbsp;table,
                                     <a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;cell)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>table</code> -</dd>
                                    <dd><code>cell</code> -</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>default is unimplemented/null</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TableStyleType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/TableStyleInfo.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/VerticalAlignment.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/TableStyleType.html" target="_top">Frames</a>
        </li>
        <li><a href="TableStyleType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
